@import url('https://fonts.googleapis.com/css2?family=IBM+Plex+Sans:wght@100;400&display=swap');

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

@font-face {
    font-family: EmperorTen;
    src: url(../../fonts/emperorten-regular.ttf);
}

@font-face {
    font-family: ArcadeClassic;
    src: url(../../fonts/arcade-classic.TTF);
}

@font-face {
    font-family: Helvetica;
    src: url(../../fonts/Helvetica.ttf);
}
body {
    background: #212674;
}

.logo-container {
    position: relative;
}

.back-btn-wrapper {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    bottom: -2rem;
}

.back-btn-wrapper svg {
    width: 1.4rem;
    height: 1.4rem;
}

.page-wrapper {
    width: 100%;
    min-height: 100vh;
    padding: 1rem .5rem;
}

.page-wrapper .logo-container {
    max-width: 120px;
    border-radius: 50%;
    transition: .3s;
}

.page-wrapper .logo-container:hover {
    box-shadow: 2px 2px 50px #08f21e,
    -2px 2px 50px #08f21e,
    2px -2px 50px #08f21e,
    -2px -2px 50px #08f21e;
}

.page-wrapper .title-text span {
    font-family: ArcadeClassic, serif;
    font-weight: bolder;
    letter-spacing: .1rem;
    line-height: 1.8rem;
    font-size: 2.2rem;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    -moz-text-fill-color: transparent;
    -webkit-text-stroke-width: calc(1px / 3);
    -webkit-text-stroke-color: black
}

.page-wrapper .title-text .l1 {
    background-image: linear-gradient(to bottom, #e308f7 , #cc33cc, #996699);
    -moz-background-image: linear-gradient(to bottom, #e308f7 , #cc33cc, #996699);
}

.page-wrapper .title-text .l2 {
    background-image: linear-gradient(to bottom, #669966 , #33cc66, #00ff33);
    -moz-background-image: linear-gradient(to bottom, #669966 , #33cc66, #00ff33);
}

.images-container {
    position: relative;
    min-height: 80vh;
}

.l-container {
    position: absolute;
}

.l1-container {
    width: 50%;
    left: 50%;
    transform: translateX(-50%);
    z-index: 1;
}

.l2-container {
    width: 60%;
    left: 40%;
    top: 30vw;
    z-index: 1;
}

.l3-container {
    width: 42%;
    left: 0;
    top: 28vw;
}

.l4-container {
    width: 60%;
    left: 0;
    top: 62vw;
    z-index: 4;
}

.l5-container {
    width: 36%;
    left: 64%;
    top:76vw;
    z-index: 1;
}

.l6-container {
    width: 43%;
    left: 0;
    top: 96vw;
    z-index: 1;
}

.l7-container {
    width: 50%;
    left: 50%;
    top: 100vw;
    z-index: 3;
    margin-bottom: 2rem;
}

.gap {
    position: absolute;
    top: 145vw;
    height: 4rem;
    width: 100%;
}

@media only screen and (min-width: 787px) {
    .page-wrapper {
        padding: 1rem 2rem;
    }
}

@media only screen and (min-width: 998px) {

    .banner {
        position: relative;
        z-index: 5;
    }

    .back-btn-wrapper svg {
        width: 1.6rem;
        height: 1.6rem;
    }

    .page-wrapper .title-text span {
        line-height: 1.4vw;
        font-size: 2.8vw;
        letter-spacing: .4vw
    }

    .page-wrapper {
        padding: 1.4rem 3rem;
    }

    .page-wrapper .logo-container {
        max-width: 10vw;
    }

    .image-container-wrapper {
        position: absolute;
        left: 0;
        right: 0;
        top: 0;
        bottom: 0;
    }

    .images-container {
        min-height: 100vh;
    }

    .l1-container {
        width: 32vw;
        left: 52vw;
        top: 0;
        transform: translateX(-50%);
        z-index: 2;
    }

    .l2-container {
        width: 32vw;
        left: 68vw;
        top: 0;
        z-index: 1;
    }

    .l3-container {
        width: 25%;
        left: 75%;
        top: initial;
        bottom: 3vh;
    }

    .l4-container {
        width: 25vw;
        left: 55%;
        top: initial;
        bottom: 9vh;
    }

    .l5-container {
        width: 29vw;
        left: 28%;
        top: initial;
        z-index: 3;
        bottom: 5vh;
    }

    .l6-container {
        width: 30vw;
        left: 0;
        top: initial;
        bottom: 9vh;
        z-index: 2;
    }

    .l7-container {
        width: 28vw;
        left: 0;
        top: 9vw;
        transform: translateX(0);
        z-index: 1;
    }

    .gap {
        display: none;
    }
}

@media only screen and (min-width: 1440px) {
    .l1-container {
        width: 37vw;
        left: 47vw;
    }

    .l2-container {
        width: 35vw;
        left: 65vw;
    }

    .l3-container {
        width: 28%;
        left: initial;
        right: 0;
    }

    .l4-container {
        width: 27vw;
        left: 53%;
        bottom: 12vh;
    }

    .l5-container {
        width: 30vw;
        left: 27%;
    }

    .l6-container {
        width: 33vw;
        left: 0;
        bottom: 10vh;
    }

    .l7-container {
        width: 35vw;
        left: 0;
    }
}

@media only screen and (min-width: 1080px) and (min-aspect-ratio: 21/10) {
    .l1-container {
        width: 32vw;
        left: 54vw;
    }

    .l2-container {
        width: 30vw;
        left:70vw;
    }

    .l3-container {
        width: 26%;
        left: initial;
        right: 0;
        bottom: 1vh;
    }

    .l4-container {
        width: 27vw;
        left: 53%;
        bottom: 10vh;
    }

    .l5-container {
        width: 30vw;
        left: 27%;
        bottom: 3vh;
    }

    .l6-container {
        width: 28vw;
        left: 0;
        bottom: 7vh;
    }

    .l7-container {
        width: 26vw;
        left: 0;
    }
}
